POST
Create Plaid Link update mode token
Creates a Plaid Link token that opens Link in update mode for the Plaid Item behind an existing bank transfer method.
Once the user completes Link, call
/api/tradfi/v1/plaid/link/token/update/complete.
The token expires after 30 minutes.
Body Params
object
-
enterpriseIdstring requiredThe ID of the enterprise -
bankTransferMethodIdstring uuid requiredThe ID of a bank transfer method created through Plaid Link. -
androidPackageNamestringThe Android package name for OAuth redirect flows. Required when initializing Plaid Link on Android. -
redirectUristringThe OAuth redirect URI for mobile and web flows.
Responses
201
Created
Response Body
object
-
dataobject requireddata object
-
tokenstring requiredThe Plaid Link token to use in the client -
expirationstring date-time requiredThe expiration time of the link token
-
400
Bad Request - Missing parameters, or the bank transfer method is not linked to a Plaid Item
Response Body
object
-
errorNamestring required -
errorstring required
404
Not Found - The bank transfer method does not exist or belongs to another enterprise
Response Body
object
-
errorNamestring required -
errorstring required
424
Failed Dependency - Plaid service is unavailable
Response Body
object
-
errorNamestring required -
errorstring required
428
Precondition Required - Plaid is not configured for this account
Response Body
object
-
errorNamestring required -
errorstring required
500
Internal Server Error
Response Body
object
-
errorNamestring required -
errorstring required